USE [Users_mdb]
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[Vendor]'))
DROP VIEW [dbo].[Vendor]
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[Vendor]'))
EXEC dbo.sp_executesql @statement = N'CREATE VIEW [dbo].[Vendor]
AS
SELECT     [nID], [tName], [tEmailName]
FROM         [Users_mdb].[dbo].[tblUser]
WHERE     ([nID] > 0 AND [tName] <> '''' AND Security_Type = 4)' 
GO
